Quassel IRC - Bug #631

highlighting popup interprets HTML code when kde is enabled
03/17/2009 01:37 AM - chithanh

Status: Resolved Start date: 03/17/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel GUI (KDE) Estimated time: 0.00 hour
Target version:

Version: 0.4.0 0S: Linux
Description

Using quassel 0.4.0, if | receive a highlight containing HTML code it will be interpreted in the resulting popup. It may be a good idea
to properly escape such characters before passing them on, as this could be abused.

Steps to reproduce:
Receive a popup containing eg. <u>test</u>

Expected results:
Get a popup containing <u>test</u>

Actual results:
Get a popup containing the underlined word "test"

Associated revisions

Revision 17d5912f299db23a09a78311a5bb3fe5effec5b9 - 04/12/2009 11:18 AM - Manuel Nickschas
Don't interpret HTML in KNotify popups, fixes #631

Revision 17d5912f - 04/12/2009 11:18 AM - Manuel Nickschas
Don't interpret HTML in KNotify popups, fixes #631

Revision d4a670812fa741525591281093ee7167db9fd267 - 04/12/2009 11:47 AM - Manuel Nickschas
Don't interpret HTML in KNotify popups, fixes #631

Revision d4a67081 - 04/12/2009 11:47 AM - Manuel Nickschas
Don't interpret HTML in KNotify popups, fixes #631

History

#1 - 03/17/2009 03:07 AM - TerrorBite

This also applies to the dialog box that pops up when pasting multiple lines.
¢ When pasting the following text:

This is a test
<u>This is a <b>test</b></u>
This is a test
This is a test

e This results in a dialog reading:
Do you really want to paste 4 lines?
This is a test
This is a test
This is a test
¢ Also, when pasting something like this:
<xXAFFE> ;-)

<xAFFE> test was underlined
<adamt> lovely bug.
<adamt> that's why 1 use the good old 0.3 :P

e This will omit text between and including the <> (because it is parsed as invalid HTML).

#2 - 03/17/2009 03:30 AM - chithanh

Further investigation reveals that this issue seems to be not restricted to KDE or Linux.

#3 - 04/02/2009 05:29 PM - Sputnick
- Status changed from New to Assigned

- Assignee set to Sputnick

#4 - 04/12/2009 11:19 AM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 17d5912f299db23a09a78311a5bb3fe5effec5b9.
https://bugs.quassel.info/projects/quassel-irc/repository/revisions/17d5912f299db23a09a78311a5bb3fe5effec5b9
http://www.tcpdf.org

